Bug 961419 - Review Request: anet - Ada Networking Library
Review Request: anet - Ada Networking Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 11:10 EDT by Björn Persson
Modified: 2013-07-30 10:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 10:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Björn Persson 2013-05-09 11:10:17 EDT
Spec URL: https://www.rombobjörn.se/packages/anet-0.2.2-1/anet.spec
SRPM URL: https://www.rombobjörn.se/packages/anet-0.2.2-1/anet-0.2.2-1.fc17.src.rpm
Description: Anet is a networking library for the Ada programming language. It supports, among other things, IPv6, Unix domain sockets, multicast, raw sockets, link layer sockets and Netlink.
Fedora Account System Username: rombobeorn
Comment 1 Christopher Meng 2013-05-09 11:40:26 EDT
IMO I think there is no need to write Summary(sv) and %description devel -l sv %{common_description_sv} same as well.

Some questions:

Why not naming it to libanet?

Why not using %doc in files section to handle the docs?
Comment 2 Björn Persson 2013-05-09 12:25:46 EDT
(In reply to comment #1)
> IMO I think there is no need to write Summary(sv) and %description devel -l
> sv %{common_description_sv} same as well.

The packaging guidelines allow it, and the review guidelines recommend it.

> Why not naming it to libanet?

The authors call it Anet almost everywhere. Except for the library file itself and the symlink, whose filenames must start with "lib" for technical reasons, only the tarball and the root directory inside it are called "libanet". Otherwise it's "anet" in filenames: /usr/include/anet, /usr/lib/anet, anet.gpr, anet.ads, anet.git et cetera. In prose it's generally "Anet", and "Ada Networking Library" in a few places.

> Why not using %doc in files section to handle the docs?

Because I want the HTML documentation to be bookmarkable. %doc generates a versioned directory name, so bookmarks would break on every update.
Comment 3 Christopher Meng 2013-07-26 05:46:49 EDT
Hi,

Since versioned docdir path will be replaced by unversioned, can you revise your spec?

https://fedoraproject.org/wiki/Changes/UnversionedDocdirs


Thanks.
Comment 4 Björn Persson 2013-07-28 13:01:44 EDT
Yes, now I can use %doc. (The documentation does get divided into two directories, anet and anet-devel, which is unnecessary but not a big problem.)

https://www.rombobjörn.se/packages/anet-0.2.2-2/anet.spec
https://www.rombobjörn.se/packages/anet-0.2.2-2/anet-0.2.2-2.fc17.src.rpm
Comment 5 Christopher Meng 2013-07-28 23:36:07 EDT
Only this:

anet.i686: I: enchant-dictionary-not-found sv

And, where is Ahven?

Will you package it?

If not I will package it ;)
Comment 6 Björn Persson 2013-07-29 07:21:12 EDT
(In reply to Christopher Meng from comment #5)
> Only this:
> 
> anet.i686: I: enchant-dictionary-not-found sv

So you don't have a Swedish spell checking library installed. Don't worry. I assure you that the Swedish spelling is correct. I get only bogus warnings when I run RPMlint.

> And, where is Ahven?

Its website is here:
http://ahven.stronglytyped.org/

> Will you package it?
> 
> If not I will package it ;)

I hope to get around to it eventually, but it's not my highest priority right now. If you have time then go ahead.

Ahven's GNAT project file builds only a static library, so you'll get to either convince Tero Koskinen to add an option to build a shared library, or convince the FPC that a static library is OK because it won't be linked into any installed programs, only testcases, or if both of those fail, carry a patch.
Comment 7 Christopher Meng 2013-07-29 19:38:09 EDT
Ok.

I think we can ignore it for a while.

APPROVED.

BTW if you want to install unversioned docs on F18/19, you can use:

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
Comment 8 Björn Persson 2013-07-30 07:13:53 EDT
Thanks for the review. I'll let F20 be the first release for Anet. At my current rate it will be a while before anything that will use it gets packaged.

New Package SCM Request
=======================
Package Name: anet
Short Description: Ada Networking Library
Owners: rombobeorn
Branches: 
InitialCC:
Comment 9 Gwyn Ciesla 2013-07-30 08:02:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.